# frozen_string_literal: true

# Request (create / update )
class AvataxClient::Request::LineItem < AvataxClient::Request::Base
  property :addresses, coerce: Array[AvataxClient::Request::Address], default: []
  property :amount, coerce: Float, required: true
  property :item_code, from: :itemCode
  property :number, coerce: Integer
  property :quantity, required: true
  property :tax_code, from: :taxCode
end
