# frozen_string_literal: true

# Base class for handling responses from Avatax.
class AvataxClient::Response::Base < Hashie::Dash
  include Hashie::Extensions::Dash::PropertyTranslation
  include Hashie::Extensions::Dash::Coercion
  include Hashie::Extensions::IgnoreUndeclared
  include Hashie::Extensions::IndifferentAccess
end
