# -*- encoding: utf-8 -*-
# stub: avatax_client 0.2.1 ruby lib

Gem::Specification.new do |s|
  s.name = "avatax_client".freeze
  s.version = "0.2.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Scott Hamilton".freeze]
  s.date = "2017-04-05"
  s.description = "Reduce the burden of integration with the Avalara Avatax API.\n                       Avatax simplifies the calculation taxes.\n                       This project is targeted at their more recent REST API (v2 and up).".freeze
  s.email = "shamil614@gmail.com".freeze
  s.extra_rdoc_files = ["LICENSE".freeze, "LICENSE.txt".freeze, "README.md".freeze, "README.rdoc".freeze]
  s.files = ["LICENSE".freeze, "LICENSE.txt".freeze, "README.md".freeze, "README.rdoc".freeze]
  s.homepage = "http://github.com/C-S-D/avatax_client".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.3.7".freeze
  s.summary = "A Ruby interface to the Avalara Avatax API".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<activesupport>.freeze, ["~> 4.2"])
    s.add_runtime_dependency(%q<hashie>.freeze, ["~> 3.5.5"])
    s.add_runtime_dependency(%q<typhoeus>.freeze, ["~> 1.1.2"])
    s.add_development_dependency(%q<bundler>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<byebug>.freeze, [">= 0"])
    s.add_development_dependency(%q<dotenv>.freeze, [">= 0"])
    s.add_development_dependency(%q<juwelier>.freeze, ["~> 2.1.0"])
    s.add_development_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.47.0"])
    s.add_development_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_development_dependency(%q<yard>.freeze, ["~> 0.9"])
    s.add_development_dependency(%q<rspec_junit_formatter>.freeze, ["= 0.2.2"])
    s.add_development_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0.0"])
  else
    s.add_dependency(%q<activesupport>.freeze, ["~> 4.2"])
    s.add_dependency(%q<hashie>.freeze, ["~> 3.5.5"])
    s.add_dependency(%q<typhoeus>.freeze, ["~> 1.1.2"])
    s.add_dependency(%q<bundler>.freeze, ["~> 1.0"])
    s.add_dependency(%q<byebug>.freeze, [">= 0"])
    s.add_dependency(%q<dotenv>.freeze, [">= 0"])
    s.add_dependency(%q<juwelier>.freeze, ["~> 2.1.0"])
    s.add_dependency(%q<rspec>.freeze, ["~> 3.0"])
    s.add_dependency(%q<rubocop>.freeze, ["~> 0.47.0"])
    s.add_dependency(%q<simplecov>.freeze, [">= 0"])
    s.add_dependency(%q<yard>.freeze, ["~> 0.9"])
    s.add_dependency(%q<rspec_junit_formatter>.freeze, ["= 0.2.2"])
    s.add_dependency(%q<codeclimate-test-reporter>.freeze, ["~> 1.0.0"])
  end
end
